Subject: bug#66748: 29.1; Remote files lose their coding system & line ending style

From: Dan McCarthy <[email-masked]>
Date: Thu, 26 Oct 2023 08:08:36 -0400

Yes, that appears to be the same thing. Thanks for the pointer and sorry
for the duplicate.

Dan

On Wed, Oct 25, 2023 at 1:58 PM Michael Albinus <[email-masked]>
wrote:

> Dan McCarthy <[email-masked]> writes:
>
> Hi Dan,
>
> > I visited a remote file with DOS line endings over SSH, added a line
> > and
> > saved. The file still has \r\n at every line, but now Emacs reports
> > "Unix-style LF" as the line-ending style; if I add more text and save
> > again, the line endings are converted to \n.
> >
> > Something similar happens with remote files in iso-latin-1. After
> > saving, they're converted to utf-8-unix. I noticed this in `git diff`:
> > it reported changes in some non-ASCII text that I hadn't touched,
> > which was surprising.
> >
> > Neither problem occurs with local files.
>
> This sounds like bug#65022. Please read the discussion at
> https://debbugs.gnu.org/65022, which contains also a patch which you
> might try. It will be fixed in the upcoming Emacs 29.2.
>
> Best regards, Michael.
>